name: MP34DT05-A
description: digital MEMS microphone
datasheet: https://www.st.com/resource/en/datasheet/mp34dt05-a.pdf

pinout:
  VDD: 1
  LR: 2
  CLK: 3
  DOUT: 4
  GND: 5

properties:
  power: VDD
  ground: GND
  in: CLK, LR
  out: DOUT

schematic:
  symbol: IC
  left: LR
  right: CLK, DOUT
  top: VDD
  bottom: GND

housing:
  pattern: custom
  options: polarized
  bodyWidth: 3.0
  bodyLength: 4.0
  height: 1.0
  silkscreen: M 1.6 -1.45 1.6 1.45 M -0.8 -2.1 -1.6 -1.3

  verticalPitch: 1.35
  horizontalPitch: 0.85
  padWidth: 0.4
  padHeight: 0.95
  columnCount: 2
  rowCount: 2
  numbers: 1,4,2,3

  verticalPitch1: 3.45 # (3.1+3.8)/2
  horizontalPitch1: 0
  padWidth1: 1.3
  padHeight1: 0.35
  columnCount1: 1
  rowCount1: 2
  numbers1: 5,5

  verticalPitch2: 0
  horizontalPitch2: 2.45 # (2.1+2.8)/2
  padWidth2: 0.35
  padHeight2: 2.3
  columnCount2: 2
  rowCount2: 1
  numbers2: 5,5

